#ifndef EGTRIANGLE_GL_H
#define EGTRIANGLE_GL_H

#include <e32base.h>
#include <w32std.h>
#include <gdi.h>

#include <GLES/egl.h>

class CEGTriangleGL : public CBase
{
    public:
        void Construct(RWindow aWin);
        ~CEGTriangleGL();

    private:
        static TInt DrawCallback( TAny* aInstance );
        TBool iGLInitialized;

        CPeriodic*  iPeriodic;  

        EGLDisplay  iEglDisplay;
        EGLSurface  iEglSurface;
        EGLContext  iEglContext;

        RWindow         iWin;
        TInt            iFrame;
};

#endif
