/* ============================================================================
 *  "Hello OpenGL ES" Application class.
 *
 *  Eurographics 2006 course on mobile graphics.
 *
 *  Copyright: Jani Vaarala
 * ============================================================================
*/

#include    <eikstart.h>
#include    "EGTriangleApp.h"
#include    "EGTriangleDocument.h"

TUid CEGTriangleApp::AppDllUid() const
{
    return KUidEGTriangle;
}

CApaDocument* CEGTriangleApp::CreateDocumentL()
{
    return CEGTriangleDocument::NewL( *this );
}

EXPORT_C CApaApplication* NewApplication()
{
    return new CEGTriangleApp;
}

TInt E32Main()
{
    return EikStart::RunApplication(NewApplication);
}

