/* ============================================================================
 *  "Hello OpenGL ES" Application UI class.
 *
 *  Eurographics 2006 course on mobile graphics.
 *
 *  Copyright: Jani Vaarala
 * ============================================================================
*/

#ifndef EGTRIANGLEAPPUI_H
#define EGTRIANGLEAPPUI_H

#include <eikapp.h>
#include <eikdoc.h>
#include <e32std.h>
#include <coeccntx.h>
#include <aknappui.h>

class CEGTriangleContainer;

class CEGTriangleAppUi : public CAknAppUi
{
    public:
        void ConstructL();
        virtual ~CEGTriangleAppUi();

    private:
        void DynInitMenuPaneL(TInt aResourceId,CEikMenuPane* aMenuPane);

    private:
        void HandleCommandL(TInt aCommand);
        virtual TKeyResponse HandleKeyEventL(const TKeyEvent& aKeyEvent,TEventCode aType);

        CEGTriangleContainer* iAppContainer; 
};

#endif
