/* ============================================================================
 *  "Hello OpenGL ES" Application View (Container) class.
 *
 *  Eurographics 2006 course on mobile graphics.
 *
 *  Copyright: Jani Vaarala
 * ============================================================================
*/

#ifndef EGTRIANGLECONTAINER_H
#define EGTRIANGLECONTAINER_H

#include <coecntrl.h>
#include "EGTriangleGL.h"
#include <akndef.h>

class CEGTriangleContainer : public CCoeControl, MCoeControlObserver
{
    public:
        void ConstructL(const TRect& aRect);
        virtual ~CEGTriangleContainer();

    private:
        void SizeChanged();
        void HandleResourceChange(TInt aType); 
        TInt CountComponentControls() const;
        CCoeControl* ComponentControl(TInt aIndex) const;
        void Draw(const TRect& aRect) const;
        void HandleControlEventL(CCoeControl* aControl,TCoeEvent aEventType);

        TBool iGLInitialized;
};

#endif
