/* ============================================================================
 *  "Hello OpenGL ES" Document class.
 *
 *  Eurographics 2006 course on mobile graphics.
 *
 *  Copyright: Jani Vaarala
 * ============================================================================
*/

#include "EGTriangleDocument.h"
#include "EGTriangleAppui.h"

CEGTriangleDocument::CEGTriangleDocument(CEikApplication& aApp)
: CAknDocument(aApp)    
{
}

CEGTriangleDocument::~CEGTriangleDocument()
{
}

void CEGTriangleDocument::ConstructL()
{
}

CEGTriangleDocument* CEGTriangleDocument::NewL(
        CEikApplication& aApp) 
{
    CEGTriangleDocument* self = new (ELeave) CEGTriangleDocument( aApp );
    CleanupStack::PushL( self );
    self->ConstructL();
    CleanupStack::Pop();

    return self;
}

CEikAppUi* CEGTriangleDocument::CreateAppUiL()
{
    return new (ELeave) CEGTriangleAppUi;
}
